Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 17 Jun 2018, 22:05
All times are UTC - 4
 Forum index » Off-Topic Area » Security
Openssl update to 1.0.1k
Post new topic   Reply to topic View previous topic :: View next topic
Page 3 of 3 [39 Posts]   Goto page: Previous 1, 2, 3
Author Message
watchdog

Joined: 28 Sep 2012
Posts: 1578
Location: Italy

PostPosted: Tue 09 Feb 2016, 02:51    Post subject:  

If you use an ubuntu based puppy like precise or tahr (lucid is no longer supported) you have to update lists of packages in PPM and reinstall libssl and openssl (also if they are listed in PPM as already installed). Ubuntu use patched sources of openssl so the build date is what is important to see typing:

Code:
openssl version -a


Sometimes updated openssl for a mantained puppy is available by quickpet, bugfix or updates manager in Menu-Setup.
Back to top
View user's profile Send private message 
moeppyfan


Joined: 11 Feb 2016
Posts: 48

PostPosted: Tue 01 Mar 2016, 16:01    Post subject:  

Another update today: https://www.openssl.org/news/secadv/20160301.txt

Quote:
OpenSSL 1.0.2 users should upgrade to 1.0.2g
OpenSSL 1.0.1 users should upgrade to 1.0.1s
Back to top
View user's profile Send private message 
8Geee


Joined: 12 May 2008
Posts: 1569
Location: N.E. USA

PostPosted: Tue 01 Mar 2016, 16:55    Post subject:  

not quite in the slackware repo yet, will keep an eye open fot it.

Thanks for the heads-up.

regards
8Geee

_________________
Linux user #498913

Some people need to reimagine their thinking.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1578
Location: Italy

PostPosted: Tue 01 Mar 2016, 17:41    Post subject:  

openssl-1.0.2g-w5-i486.pet:
https://drive.google.com/file/d/0B9iMb4UZBeFkN1Z5QTF0X0NmaTg/view?usp=sharing

openssl_DEV-1.0.2g-w5-i486.pet:
https://drive.google.com/file/d/0B9iMb4UZBeFka193WUtQb2R3ZFU/view?usp=sharing

openssl_DOC-1.0.2g-w5-i486.pet:
https://drive.google.com/file/d/0B9iMb4UZBeFkU2hVdFZVbTNwZm8/view?usp=sharing
Back to top
View user's profile Send private message 
6502coder


Joined: 23 Mar 2009
Posts: 460
Location: Western United States

PostPosted: Thu 03 Mar 2016, 18:32    Post subject:  

@watchdog
Thanks for the pets. Installed w/o problems on Wary 5141.
Back to top
View user's profile Send private message 
8Geee


Joined: 12 May 2008
Posts: 1569
Location: N.E. USA

PostPosted: Thu 03 Mar 2016, 21:28    Post subject:  

For those using 1.0.1 the "s" update is available for slacko puppies.
_________________
Linux user #498913

Some people need to reimagine their thinking.
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 12312
Location: Gatineau (Qc), Canada

PostPosted: Thu 03 Mar 2016, 21:46    Post subject:  

6502coder wrote:
@watchdog
Thanks for the pets. Installed w/o problems on Wary 5141.

Same on "The Pooch" (experimental Dpup-3.14.56.1). Again thanks.

_________________
musher0
~~~~~~~~~~
"Logical entities must not be multiplied beyond necessity." | |
« Il ne faut pas multiplier les entités logiques sans nécessité. » (Ockham)
Back to top
View user's profile Send private message 
paulh177


Joined: 22 Aug 2006
Posts: 915
Location: ST862228

PostPosted: Fri 13 Apr 2018, 16:33    Post subject:  

musher0 wrote:
Hello all.
... snip ...
You can download it as pets:
https://www.adrive.com/public/Knut3A/openssl-1.0.2f.pet (main archive)
https://www.adrive.com/public/7avQ9B/openssl-1.0.2f_man.pet (separate man files)

... or as an sfs for any Puppy:
https://www.adrive.com/public/WJrAAh/openssl-1.0.2f.sfs
.


These links are broken:
Code:
The public file you are trying to download is associated with a non-valid account.

Please contact the owner for further assistance.


I'd like to get my paws on this (see http://www.murga-linux.com/puppy/viewtopic.php?p=988562#988562) ... anyone know where I can find a copy?
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 12312
Location: Gatineau (Qc), Canada

PostPosted: Fri 13 Apr 2018, 18:49    Post subject:  

Hi PaulH177.

Sorry for the inconvenience. I ran out of money to keep that repo open. In
any case, that openssl version would be about two years old now.

Can you get one from your Pup's PPM? Is it current?

Another problem that I discovered, is that some Internet apps (e.g. the links
browser) want the openssl version that was on the Puppy at the time the
app was compiled -- they will not work with another version of openssl.

This does not help you much, eh?

BFN.

_________________
musher0
~~~~~~~~~~
"Logical entities must not be multiplied beyond necessity." | |
« Il ne faut pas multiplier les entités logiques sans nécessité. » (Ockham)
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 3 of 3 [39 Posts]   Goto page: Previous 1, 2, 3
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Off-Topic Area » Security
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0504s ][ Queries: 15 (0.0076s) ][ GZIP on ]